<!-- Small boxes (Stat box) -->
<div class="alRight newCreate">
  <a type="button" class="button" href="/customer/add">新規作成</a>
</div>
<section>
  <form id="customerSearch" class="form-horizontal" method="GET">
  <div id="sec01">
    <h2 class="tpcirle">担当者マスタ検索一覧</h2>

    <div class="boxFrame half">
      <div class="inputBox">
        <div class="labelTxt">顧客姓</div>
        <p><input type="text" name="lastName" value="<%= search.lastName%>" /></p>
      </div>
    </div>

    <div class="boxFrame half">
      <div class="inputBox">
        <div class="labelTxt">顧客名</div>
        <p><input type="text" name="firstName" value="<%= search.firstName%>" /></p>
      </div>
    </div>

    <div class="boxFrame half">
      <div class="inputBox">
        <div class="labelTxt">顧客姓(カナ)</div>
        <p><input type="text" name="lastNameKana" value="<%= search.lastNameKana%>"  /></p>
      </div>
    </div>

    <div class="boxFrame half">
      <div class="inputBox">
        <div class="labelTxt">顧客名(カナ)</div>
        <p><input type="text" name="firstNameKana" value="<%= search.firstNameKana%>"  /></p>
      </div>
    </div>

    <div class="boxFrame half">
      <div class="inputBox">
        <div class="labelTxt">無効化フラグ</div>
        <p>
          <label><input type="checkbox" name="deleted" value="0" <%= isChecked(search.deleted, '0', true) %>>有効</label>
          <label><input type="checkbox" name="deleted" value="1" <%= isChecked(search.deleted, '1') %>>無効</label>
        </p>
      </div>
    </div>

    <div class="clear"></div>
    <div class="searchButton">
      <button type="<%= isModal ? 'button' : 'submit' %>" class="btn-search">検索</button>
    </div>

  </div>
</form>
</section>

<!-- /.row (main row) -->
<div class="row table-container">
  <div class="col col-xs-12">
    <div class="box box-primary" style="margin-bottom: 5px">
      <!-- /.box-header -->
      <div class="box-body table-responsive no-padding table-scroll-vertical">
        <table class="table table-hover table-striped table-truncate has-button">
          <thead>
            <tr>
              <% if (!isModal) { %>
              <th style="min-width: 60px">変更</th>
              <% } %>
              <th>ID</th>
              <th style="min-width: 150px">顧客姓</th>
              <th style="min-width: 150px">顧客名</th>
              <th style="min-width: 150px">顧客姓(カナ)</th>
              <th style="min-width: 150px">顧客名(カナ)</th>
              <th style="min-width: 150px">無効化フラグ</th>
            </tr>
          </thead>
          <tbody>
            <% if (!isModal) for (const customer of data) { %>
            <tr>
              <% if (!isModal) { %>
              <td>
                <!-- <a href="/customer/<%= customer.id %>/edit">
                  <button class="btn btn-primary btn-size1 btn-edit">
                    <i class="fa fa-pencil"></i>
                </button>
                </a> -->
                <a href="#">
                  <button class="btn btn-primary btn-size1 btn-edit">
                    <i class="fa fa-pencil"></i>
                </button>
                </a>
                <a href="/sales/add/customer/<%= customer.id %>">
                  <button style="width: 30px;" class="btn btn-primary btn-size1 btn-edit">
                    <i class="fa fa-user-plus"></i>
                </button>
                </a>
              </td>
              <% } %>
              <td><a href="/customer/<%= customer.id %>"><%= customer.id %></a></td>
              <td>
                <div style="max-width: 150px;"><%= customer.lastName %></div>
              </td>
              <td>
                <div style="max-width: 150px;"><%= truncate(customer.firstName) %></div>
              </td>
              <td>
                <div style="max-width: 150px;"><%= truncate(customer.lastNameKana) %></div>
              </td>
              <td>
                <div style="max-width: 150px;"><%= truncate(customer.firstNameKana) %></div>
              </td>
              <td>
                <div><%= valueLst.disableFlgs[customer.deleted] %></div>
              </td>
            </tr>
            <% } %>
          </tbody>
        </table>
      </div>
      <!-- /.box-body -->
    </div>
    <!-- /.box -->
  </div>
</div>

<div class="row paginate-container">
  <div class="col col-xs-12">
    <%- pagination(dataCount) %>
  </div>
</div>